Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface SourceSetContainer

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.tasks.SourceSetContainer
          org.gradle.api.NamedDomainObjectContainer
              org.gradle.api.DomainObjectCollection

All Superinterfaces:
  NamedDomainObjectCollection, NamedDomainObjectContainer, DomainObjectCollection

    public interface SourceSetContainer
    extends NamedDomainObjectCollection, NamedDomainObjectContainer

A `SourceSetContainer` manages a set of SourceSet objects.

Method Summary
`SourceSet` | `add(java.lang.String name)` Adds a source set with the given name.
`SourceSet` | `add(java.lang.String name, groovy.lang.Closure configureClosure)` Adds a source set with the given name.

Methods inherited from interface NamedDomainObjectCollection
findByName, getAsMap, getAt, getByName, getByName, matching, matching, withType

Methods inherited from interface NamedDomainObjectContainer
addRule, addRule, getRules

Methods inherited from interface NamedDomainObjectCollection
findByName, getAsMap, getAt, getByName, getByName, matching, matching, withType

Method Detail

### add

    public SourceSet add(java.lang.String name)

  Adds a source set with the given name.
  throws:
    org.gradle.api.InvalidUserDataException when a source set with the given name already exists in this container.
  Parameters:
    `name` - The name of the new source set.
  Returns:
    The newly added source set.

### add

    public SourceSet add(java.lang.String name, groovy.lang.Closure configureClosure)

  Adds a source set with the given name. The given configuration closure is executed against the source set before it is returned from this method.
  throws:
    InvalidUserDataException when a source set with the given name already exists in this container.
  Parameters:
    `name` - The name of the new source set.
    `configureClosure` - The closure to use to configure the source set.
  Returns:
    The newly added source set.

Groovy Documentation